2 Replies Latest reply on Nov 6, 2014 8:54 AM by Derek Cross

    Compatibility Issues with Yosemite?

    cmmullen63

      I have an older version of CS (Illustrator, Photoshop, and InDesign—5.1-5) Would upgrading to Yosemite be ill-advised?

      Anyone? Anyone? Buehler?